package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.Dgd;
import org.apache.ibatis.annotations.Mapper;

import java.util.Collection;
import java.util.List;
import java.util.Map;

@Mapper
public interface DgdMapper {

    int insert(Dgd record);

    int insertSelective(Dgd record);

    int updateByPrimaryKeySelective(Dgd record);

    int updateByPrimaryKey(Dgd record);

    int deleteByPrimaryKey(Dgd record);

    int deleteByIds(Collection<Object> collection);

    Dgd selectByPrimaryKey(Dgd record);

    int dyncDelete(Map<String,Object> dyncMap);

    List<Dgd> dyncRead(Map<String,Object> dyncMap);

}